SendFailedNotification (Java SE 26 & JDK 26)
Description: declaration: module: jdk.sctp, package: com.sun.nio.sctp, class: SendFailedNotification
Keywords: com.sun.nio.sctp.SendFailedNotification class

# Class SendFailedNotification

java.lang.Object
com.sun.nio.sctp.SendFailedNotification

All Implemented Interfaces:
  `Notification`

public abstract class SendFailedNotification extends Object implements Notification
Notification emitted when a send failed notification has been received.

A send failed notification indicates that a message cannot be delivered. Typically, this is because the association has been shutdown with unsent data in the socket output buffer, or in the case of a `SctpMultiChannel` the association failed to setup.

Since:
  1.7

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SendFailedNotification()`
  Initializes a new instance of this class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract SocketAddress`
  `address()`
  Returns the address.
  `abstract Association`
  `association()`
  Returns the association that this notification is applicable to.
  `abstract ByteBuffer`
  `buffer()`
  Returns the data that was to be sent.
  `abstract int`
  `errorCode()`
  Returns the error code.
  `abstract int`
  `streamNumber()`
  Returns the stream number that the message was to be sent on.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### SendFailedNotification

    protected SendFailedNotification()
    Initializes a new instance of this class.

- ## Method Details

  - ### association

    public abstract Association association()
    Returns the association that this notification is applicable to.
    Specified by:
      `association` in interface `Notification`
    Returns:
      The association that failed to send, or `null` if there is no association, that is, the notification follows a AssociationChangeNotification.AssocChangeEvent.CANT_START

  - ### address

    public abstract SocketAddress address()
    Returns the address.
    Returns:
      The peer primary address of the association or the address that the message was sent to

  - ### buffer

    public abstract ByteBuffer buffer()
    Returns the data that was to be sent.
    Returns:
      The user data. The buffers position will be `0` and its limit will be set to the end of the data.

  - ### errorCode

    public abstract int errorCode()
    Returns the error code.

    The errorCode gives the reason why the send failed, and if set, will be a SCTP protocol error code as defined in RFC2960 section 3.3.10

    Returns:
      The error code

  - ### streamNumber

    public abstract int streamNumber()
    Returns the stream number that the message was to be sent on.
    Returns:
      The stream number